Subject: bug#25808: closed (Re: bug#25808: Updating alot (and other collateral updates))

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 10 Oct 2017 21:13:02 +0000

Your bug report

#25808: Updating alot (and other collateral updates)

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25808: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25808
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25808: Updating alot (and other collateral updates)
From: Ricardo Wurmus <[email-masked]>
To: Troy Sankey <[email-masked]>
Cc: [email-masked]
Date: Tue, 10 Oct 2017 23:11:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Troy,

Ricardo Wurmus <[email-masked]> writes:

> Troy Sankey <[email-masked]> writes:
>
>> Debbugs split off half of my patches in this series and created
>> individual bugs for them.  Sorry, I don't understand why.  I used
>> git send-email like I normally would on [email-masked].
>
> It’s best to send a single email (e.g. the cover letter) to
> [email-masked] first, wait for confirmation from debbugs, and then
> send all the patches to the bug address (e.g. [email-masked]).
>
> BTW: I see that these patches have not been pushed yet.  Do you plan on
> sending updated patches?

I have taken your patches, made the changes suggested by Marius, updated
some of the packages to the latest version and pushed them to master
with commit 3f81ca324.

Thanks again for your contribution!

-- 
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net

Subject: Updating alot (and other collateral updates)
From: Troy Sankey <[email-masked]>
To: [email-masked]
Date: Mon, 20 Feb 2017 01:37:34 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

My ultimate goal with this patch set was to update alot and all of its
(python) dependency closure.

[PATCH 1/8] gnu: Add python-attrs.
[PATCH 2/8] gnu: Add python-constantly.
[PATCH 3/8] gnu: Add python-m2r.
[PATCH 4/8] gnu: python-setuptools-scm: Update to 1.15.0.
[PATCH 5/8] gnu: Add python-automat.
[PATCH 6/8] gnu: Add python-incremental.
[PATCH 7/8] gnu: python-twisted: Update to 17.1.0.
[PATCH 8/8] gnu: alot: Update to 0.5.1.

Troy